# Objective

- Describe the objective or issue this PR addresses.
- If you're fixing a specific issue, say "Fixes #X".

## Solution

- Describe the solution used to achieve the objective above.

## Code generation

- Most code in glam is generated by an offline tool.
- Are you modify generated code?
- Have you modified the templates and run the code generator?

See https://github.com/bitshifter/glam-rs/blob/main/codegen/README.md for details.

## Testing and linting

- Your PR should include tests for any bug fixes or new features.
- `cargo test` and `cargo clippy` must pass.

You can run most of glam's tests locally by running the `build_and_test_features.sh` script.

## Breaking changes

*This section is optional. If there are no breaking changes, you can delete this section.*

- If this PR is a breaking change describe how a user might need to migrate their code.
- Simply adding new functionality is not a breaking change.
- Fixing behavior that was definitely a bug is not a breaking change.
